CADDIT CAD CAM CNC Software - download AutoCAD compatible design software progeCAD Alibre T-FLEX and more
CADDIT Website Knowledge Base Search:
CL

progeCAD Help

CR
Welcome to progeCAD
Working with progeCAD
Command Reference
CAD System Variables
Programming progeCAD
Full Index (caution - 400kb)

Further Links:

Download progeCAD
Register progeCAD

Learning

T-FLEX PLM tutorial (PDF)
progeCAD IntelliCAD and AutoCAD training 
CATIA 2D 3D design tutorial
Alibre CAD/CAM basic tutorial

Resources

Educational CAD Software Solutions
Python scripting for DOS and Windows
Other free software downloads
CADDIT CAD CAM Forum Australia
__

ArrayRectangular method example

Sub Example_ArrayRectangular()

     ' This example creates a line and a rectangular array based on that line.

     

     Dim myLine As progeCAD.Line

     Set myDoc = Application.ActiveDocument

     Set myLine = myDoc.ModelSpace.AddLine(Library.CreatePoint(4, 2), Library.CreatePoint(7, 2))

     myLine.Update

     ThisDocument.ActiveViewport.ZoomExtents

               

     ' Create a 4x3 array of an object.

     Dim retObj As Variant

     Set retObj = myLine.ArrayRectangular(4, 3, 1, 3, 2, 2)

     retObj.Update

     ThisDocument.ActiveViewport.ZoomExtents

     MsgBox "Rectangular array constructed."

End Sub

CADDIT® is a registered trademark in Australia. All Rights Reserved. Comments concerning the content of this site should be addressed to our webmaster. progeCAD is a trademark of ProgeCAD srl. Autodesk® and AutoCAD® are both registered trademarks or trademarks of a third party, and used only for comparison purposes. All other trademarks, trade names or company names referenced herein are used for identification only and are the property of their respective owners. Legal and Terms of Use. Google. Find us on Google+.